#!/usr/local/bin/perl

$major="0";
$medial="00";
$minor="0";

if(open(feil,"version.c") )
{
	while(<feil>)
	{
		if( /AUTO_VERSION_LONG\s+\"(\d+)\.(\d+)\.(\d+)/)
		{
			$major=$1;
			$medial=$2;
			$minor=$3;
			if($ARGV[1]!="README")
			{
				$minor=($3+1)%10;
				$medial++ if !$minor
			}
		}
	}
	close(feil);
}



($sec,$min,$hour,$mday,$mon,$year,$wday,$yday,$isdst)=localtime(time());
@month=("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");

$auto_version	= sprintf("%d.%d%d",$major,$medial/10,$medial%10);
$auto_versionlong= "$auto_version.$minor";
$auto_time		= sprintf("%2d:%d%d:%d%d",$hour,$min/10,$min%10,$sec/10,$sec%10);
$auto_date		= "$mday.$month[$mon] 19$year";

open(feil,">version.c") || die "$!\n";
	print	feil "#define AUTO_VERSION \"$auto_version\"\n";
	print	feil "#define AUTO_VERSION_LONG \"$auto_versionlong\"\n";
	print	feil "#define AUTO_TIME \"$auto_time\"\n";
	print	feil "#define AUTO_DATE \"$auto_date\"\n";
	print	feil "char *auto_version(){return AUTO_VERSION;}\n";
	print	feil "char *auto_version_long(){return AUTO_VERSION_LONG;}\n";
	print	feil "char *auto_time(){return AUTO_TIME;}\n";
	print	feil "char *auto_date(){return AUTO_DATE;}\n";
close(feil);


$flag=0; 
open(feil,"<myreadme") || die "$!\n";
open(outfeil,">../README") || die "$!\n";
while(<feil>)
{
	s/AUTO_VERSION/$auto_version/;
	s/AUTO_VERSION_LONG/$auto_version_long/;
	s/AUTO_DATE/$auto_date/;
	s/AUTO_TIME/$auto_time/;
	print outfeil;
}
close(outfeil);
close(feil);